> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update External Account

> **Scopes:** `external_account:update`



## OpenAPI

````yaml /api-reference/openapi.json patch /v0/business/{business_id}/external-account/{external_account_id}
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/external-account/{external_account_id}:
    patch:
      tags:
        - Transaction
      summary: Update External Account
      description: '**Scopes:** `external_account:update`'
      operationId: >-
        update_external_account_v0_business__business_id__external_account__external_account_id__patch
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: external_account_id
          in: path
          required: true
          schema:
            description: The id of the external account
            examples:
              - eac_9p2Fp7gra8aCVNvCSekUyK
            type: string
            format: eac_string
            title: External Account Id
          description: The id of the external account
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateExternalAccountRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExternalAccountPublic'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - external_account:update
components:
  schemas:
    UpdateExternalAccountRequest:
      properties:
        status:
          anyOf:
            - $ref: '#/components/schemas/ExternalAccountStatus'
            - type: 'null'
          description: The updated status of the External Account
          examples:
            - connected
            - disconnected
        disconnected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Disconnected At
          description: The datetime when the External Account is disconnected
        cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Cursor
          description: The Plaid cursor of the External Account
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
          description: The datetime when the External Account was last synced
        last_balanced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Balanced At
          description: The datetime when the External Account was last balanced
        external_balance:
          anyOf:
            - type: number
            - type: string
              pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
            - type: 'null'
          title: External Balance
          description: The current balance of the External Account
      type: object
      title: UpdateExternalAccountRequest
    ExternalAccountPublic:
      properties:
        business_id:
          type: string
          format: biz_string
          title: Business Id
          description: The ID of the Business associated with the External Account
          examples:
            - biz_Pk2fNFDd8wj7EFeLWJywc7
        type:
          $ref: '#/components/schemas/ExternalAccountType'
          description: The type of the External Account
          examples:
            - business
            - personal
        ledger_id:
          anyOf:
            - type: string
              format: ldg_string
            - type: 'null'
          title: Ledger Id
          description: >-
            The ID of the Bank Ledger associated with the Business External
            Account
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        contribution_ledger_id:
          anyOf:
            - type: string
              format: ldg_string
            - type: 'null'
          title: Contribution Ledger Id
          description: >-
            The ID of the Contribution Ledger associated with the Personal
            External Account
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        distribution_ledger_id:
          anyOf:
            - type: string
              format: ldg_string
            - type: 'null'
          title: Distribution Ledger Id
          description: >-
            The ID of the Distribution Ledger associated with the Personal
            External Account
          examples:
            - ldg_Ns6rRRLYVZPh4cVB7MDby5
        financial_account_type:
          anyOf:
            - $ref: '#/components/schemas/FinancialAccountType'
            - type: 'null'
          description: >-
            The type of real-world financial account this External Account
            represents
          examples:
            - bank_account
        source:
          $ref: '#/components/schemas/ExternalAccountSource'
          description: The source of the External Account
          examples:
            - manual
            - plaid
        external_id:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: External Id
          description: The external ID of the External Account
          examples:
            - '1234567890'
        metadata_:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        name:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Name
          description: The name of the External Account
          examples:
            - ABC Business Checking
        mask:
          anyOf:
            - type: string
              maxLength: 255
            - type: 'null'
          title: Mask
          description: The mask of the External Account
          examples:
            - '1234'
        linked_item_id:
          anyOf:
            - type: string
              format: lni_string
            - type: 'null'
          title: Linked Item Id
          description: The ID of the Linked Item associated with the External Account
          examples:
            - lni_R2fAXCjqJPdpYata112zyW
        status:
          $ref: '#/components/schemas/ExternalAccountStatus'
          description: The status of the External Account
          default: connected
          examples:
            - connected
            - disconnected
        disconnected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Disconnected At
          description: Datetime when the external account was disconnected
        last_synced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Synced At
          description: Datetime when the external account was last synced
        last_balanced_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Balanced At
          description: Datetime when the external account was last balanced
        external_balance:
          anyOf:
            - type: number
            - type: 'null'
          title: External Balance
          description: The current balance of the External Account
          examples:
            - 3512.85
        last_statement_end_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Statement End Date
          description: Datetime when the external account balance was last updated
        id:
          type: string
          format: eac_string
          title: Id
          description: The ID of the External Account
          examples:
            - eac_Ns6rRRLYVZPh4cVB7MDby5
        institution_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Institution Name
          description: >-
            The name of the institution associated with the External Account, if
            any
          examples:
            - Chase Bank
      type: object
      required:
        - business_id
        - type
        - source
        - external_id
        - disconnected_at
        - last_synced_at
        - last_balanced_at
        - external_balance
        - last_statement_end_date
        - id
      title: ExternalAccountPublic
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    ExternalAccountStatus:
      type: string
      enum:
        - connected
        - disconnected
        - untracked
      title: ExternalAccountStatus
    ExternalAccountType:
      type: string
      enum:
        - business
        - personal
      title: ExternalAccountType
    FinancialAccountType:
      type: string
      enum:
        - bank_account
        - credit_card
        - prepaid_card
        - payments
        - payroll
        - loan
        - accounts_receivable
        - accounts_payable
      title: FinancialAccountType
    ExternalAccountSource:
      type: string
      enum:
        - manual
        - plaid
        - statements
        - gusto
      title: ExternalAccountSource
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````